<%= turbo_frame_tag "#{switcher.id}-frame" do %>
<p><a href="https://<%= switcher.host %>"><%= switcher.name %></a></p>
<% if switcher.persisted? -%>
<%= link_to 'Destroy', oasis_switcher_path(switcher),
            data: {turbo_method: :delete, turbo_confirm: 'Are you sure?'} %>
<% end -%>
<%= form_with(
  id: switcher.id, 
  model: switcher, 
  data: {
    "blockly-target" => 'switcherForm',
    "switcher" => "#{switcher.to_json}"
  }) do |form| %>
  <div class="field">
    <%= form.label :managed_deployment %>
    <%= form.text_field :managed_deployment_id, id: "#{switcher.name}_managed_deployment_id" %>
  </div>

  <div>
    <%= form.submit "Update" %>
  </div>
<% end -%>
<% end -%>